﻿/*
 *----------------------------------------------------------------------
 *    micro T-Kernel 3.00.01
 *
 *    Copyright (C) 2006-2020 by Ken Sakamura.
 *    This software is distributed under the T-License 2.2.
 *----------------------------------------------------------------------
 *
 *    Released by TRON Forum(http://www.tron.org) at 2020/05/29.
 *
 *----------------------------------------------------------------------
 */

#include <sys/machine.h>
#ifdef CPU_RX231

/*
 *      hllint_ent.S (RXv2)
 *      HLL(High level programming language) Interrupt entry
 */

#define _in_asm_source_

#include <sys/sysdef.h>

        .extern Csym(knl_hll_inthdr)

.macro HLL_INT_ENTRY    intno

        .global Csym(hll_inthdr_entry_\intno)
Csym(hll_inthdr_entry_\intno):
        pushm  r1-r2
        mov.l  #\intno, r1
        mov.l  #Csym(knl_hll_inthdr), r2
        jmp    r2

.endm

        .section .text
HLL_INT_ENTRY 0
HLL_INT_ENTRY 1
HLL_INT_ENTRY 2
HLL_INT_ENTRY 3
HLL_INT_ENTRY 4
HLL_INT_ENTRY 5
HLL_INT_ENTRY 6
HLL_INT_ENTRY 7
HLL_INT_ENTRY 8
HLL_INT_ENTRY 9
HLL_INT_ENTRY 10
HLL_INT_ENTRY 11
HLL_INT_ENTRY 12
HLL_INT_ENTRY 13
HLL_INT_ENTRY 14
HLL_INT_ENTRY 15
HLL_INT_ENTRY 16
HLL_INT_ENTRY 17
HLL_INT_ENTRY 18
HLL_INT_ENTRY 19
HLL_INT_ENTRY 20
HLL_INT_ENTRY 21
HLL_INT_ENTRY 22
HLL_INT_ENTRY 23
HLL_INT_ENTRY 24
HLL_INT_ENTRY 25
HLL_INT_ENTRY 26
HLL_INT_ENTRY 27
HLL_INT_ENTRY 28
HLL_INT_ENTRY 29
HLL_INT_ENTRY 30
HLL_INT_ENTRY 31
HLL_INT_ENTRY 32
HLL_INT_ENTRY 33
HLL_INT_ENTRY 34
HLL_INT_ENTRY 35
HLL_INT_ENTRY 36
HLL_INT_ENTRY 37
HLL_INT_ENTRY 38
HLL_INT_ENTRY 39
HLL_INT_ENTRY 40
HLL_INT_ENTRY 41
HLL_INT_ENTRY 42
HLL_INT_ENTRY 43
HLL_INT_ENTRY 44
HLL_INT_ENTRY 45
HLL_INT_ENTRY 46
HLL_INT_ENTRY 47
HLL_INT_ENTRY 48
HLL_INT_ENTRY 49
HLL_INT_ENTRY 50
HLL_INT_ENTRY 51
HLL_INT_ENTRY 52
HLL_INT_ENTRY 53
HLL_INT_ENTRY 54
HLL_INT_ENTRY 55
HLL_INT_ENTRY 56
HLL_INT_ENTRY 57
HLL_INT_ENTRY 58
HLL_INT_ENTRY 59
HLL_INT_ENTRY 60
HLL_INT_ENTRY 61
HLL_INT_ENTRY 62
HLL_INT_ENTRY 63
HLL_INT_ENTRY 64
HLL_INT_ENTRY 65
HLL_INT_ENTRY 66
HLL_INT_ENTRY 67
HLL_INT_ENTRY 68
HLL_INT_ENTRY 69
HLL_INT_ENTRY 70
HLL_INT_ENTRY 71
HLL_INT_ENTRY 72
HLL_INT_ENTRY 73
HLL_INT_ENTRY 74
HLL_INT_ENTRY 75
HLL_INT_ENTRY 76
HLL_INT_ENTRY 77
HLL_INT_ENTRY 78
HLL_INT_ENTRY 79
HLL_INT_ENTRY 80
HLL_INT_ENTRY 81
HLL_INT_ENTRY 82
HLL_INT_ENTRY 83
HLL_INT_ENTRY 84
HLL_INT_ENTRY 85
HLL_INT_ENTRY 86
HLL_INT_ENTRY 87
HLL_INT_ENTRY 88
HLL_INT_ENTRY 89
HLL_INT_ENTRY 90
HLL_INT_ENTRY 91
HLL_INT_ENTRY 92
HLL_INT_ENTRY 93
HLL_INT_ENTRY 94
HLL_INT_ENTRY 95
HLL_INT_ENTRY 96
HLL_INT_ENTRY 97
HLL_INT_ENTRY 98
HLL_INT_ENTRY 99
HLL_INT_ENTRY 100
HLL_INT_ENTRY 101
HLL_INT_ENTRY 102
HLL_INT_ENTRY 103
HLL_INT_ENTRY 104
HLL_INT_ENTRY 105
HLL_INT_ENTRY 106
HLL_INT_ENTRY 107
HLL_INT_ENTRY 108
HLL_INT_ENTRY 109
HLL_INT_ENTRY 110
HLL_INT_ENTRY 111
HLL_INT_ENTRY 112
HLL_INT_ENTRY 113
HLL_INT_ENTRY 114
HLL_INT_ENTRY 115
HLL_INT_ENTRY 116
HLL_INT_ENTRY 117
HLL_INT_ENTRY 118
HLL_INT_ENTRY 119
HLL_INT_ENTRY 120
HLL_INT_ENTRY 121
HLL_INT_ENTRY 122
HLL_INT_ENTRY 123
HLL_INT_ENTRY 124
HLL_INT_ENTRY 125
HLL_INT_ENTRY 126
HLL_INT_ENTRY 127
HLL_INT_ENTRY 128
HLL_INT_ENTRY 129
HLL_INT_ENTRY 130
HLL_INT_ENTRY 131
HLL_INT_ENTRY 132
HLL_INT_ENTRY 133
HLL_INT_ENTRY 134
HLL_INT_ENTRY 135
HLL_INT_ENTRY 136
HLL_INT_ENTRY 137
HLL_INT_ENTRY 138
HLL_INT_ENTRY 139
HLL_INT_ENTRY 140
HLL_INT_ENTRY 141
HLL_INT_ENTRY 142
HLL_INT_ENTRY 143
HLL_INT_ENTRY 144
HLL_INT_ENTRY 145
HLL_INT_ENTRY 146
HLL_INT_ENTRY 147
HLL_INT_ENTRY 148
HLL_INT_ENTRY 149
HLL_INT_ENTRY 150
HLL_INT_ENTRY 151
HLL_INT_ENTRY 152
HLL_INT_ENTRY 153
HLL_INT_ENTRY 154
HLL_INT_ENTRY 155
HLL_INT_ENTRY 156
HLL_INT_ENTRY 157
HLL_INT_ENTRY 158
HLL_INT_ENTRY 159
HLL_INT_ENTRY 160
HLL_INT_ENTRY 161
HLL_INT_ENTRY 162
HLL_INT_ENTRY 163
HLL_INT_ENTRY 164
HLL_INT_ENTRY 165
HLL_INT_ENTRY 166
HLL_INT_ENTRY 167
HLL_INT_ENTRY 168
HLL_INT_ENTRY 169
HLL_INT_ENTRY 170
HLL_INT_ENTRY 171
HLL_INT_ENTRY 172
HLL_INT_ENTRY 173
HLL_INT_ENTRY 174
HLL_INT_ENTRY 175
HLL_INT_ENTRY 176
HLL_INT_ENTRY 177
HLL_INT_ENTRY 178
HLL_INT_ENTRY 179
HLL_INT_ENTRY 180
HLL_INT_ENTRY 181
HLL_INT_ENTRY 182
HLL_INT_ENTRY 183
HLL_INT_ENTRY 184
HLL_INT_ENTRY 185
HLL_INT_ENTRY 186
HLL_INT_ENTRY 187
HLL_INT_ENTRY 188
HLL_INT_ENTRY 189
HLL_INT_ENTRY 190
HLL_INT_ENTRY 191
HLL_INT_ENTRY 192
HLL_INT_ENTRY 193
HLL_INT_ENTRY 194
HLL_INT_ENTRY 195
HLL_INT_ENTRY 196
HLL_INT_ENTRY 197
HLL_INT_ENTRY 198
HLL_INT_ENTRY 199
HLL_INT_ENTRY 200
HLL_INT_ENTRY 201
HLL_INT_ENTRY 202
HLL_INT_ENTRY 203
HLL_INT_ENTRY 204
HLL_INT_ENTRY 205
HLL_INT_ENTRY 206
HLL_INT_ENTRY 207
HLL_INT_ENTRY 208
HLL_INT_ENTRY 209
HLL_INT_ENTRY 210
HLL_INT_ENTRY 211
HLL_INT_ENTRY 212
HLL_INT_ENTRY 213
HLL_INT_ENTRY 214
HLL_INT_ENTRY 215
HLL_INT_ENTRY 216
HLL_INT_ENTRY 217
HLL_INT_ENTRY 218
HLL_INT_ENTRY 219
HLL_INT_ENTRY 220
HLL_INT_ENTRY 221
HLL_INT_ENTRY 222
HLL_INT_ENTRY 223
HLL_INT_ENTRY 224
HLL_INT_ENTRY 225
HLL_INT_ENTRY 226
HLL_INT_ENTRY 227
HLL_INT_ENTRY 228
HLL_INT_ENTRY 229
HLL_INT_ENTRY 230
HLL_INT_ENTRY 231
HLL_INT_ENTRY 232
HLL_INT_ENTRY 233
HLL_INT_ENTRY 234
HLL_INT_ENTRY 235
HLL_INT_ENTRY 236
HLL_INT_ENTRY 237
HLL_INT_ENTRY 238
HLL_INT_ENTRY 239
HLL_INT_ENTRY 240
HLL_INT_ENTRY 241
HLL_INT_ENTRY 242
HLL_INT_ENTRY 243
HLL_INT_ENTRY 244
HLL_INT_ENTRY 245
HLL_INT_ENTRY 246
HLL_INT_ENTRY 247
HLL_INT_ENTRY 248
HLL_INT_ENTRY 249
HLL_INT_ENTRY 250
HLL_INT_ENTRY 251
HLL_INT_ENTRY 252
HLL_INT_ENTRY 253
HLL_INT_ENTRY 254
HLL_INT_ENTRY 255
        .end

#endif /* CPU_RX231 */
